- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ovh_ip_loadbalancing_backend – Manage OVH IP LoadBalancing backends

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Manage OVH (French European hosting provider) LoadBalancing IP backends

## Requirements

The below requirements are needed on the host that executes this module.

- ovh > 0.3.5

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
application_key - / required |  | The applicationKey to use
application_secret - / required |  | The application secret to use
backend - / required |  | The IP address of the backend to update / modify / delete
consumer_key - / required |  | The consumer key to use
endpoint - / required |  | The endpoint to use ( for instance ovh-eu)
name - / required |  | Name of the LoadBalancing internal name (ip-X.X.X.X)
probe - | Choices: none ← http icmp oco | Determines the type of probe to use for this backend
state - | Choices: present ← absent | Determines whether the backend is to be created/modified or deleted
timeout - | Default: 120 | The timeout in seconds used to wait for a task to be completed.
weight - | Default: 8 | Determines the weight for this backend

## Notes

Note

- Uses the python OVH Api https://github.com/ovh/python-ovh. You have to create an application (a key and secret) with a consumer key as described into https://eu.api.ovh.com/g934.first_step_with_api

## Examples

    # Adds or modify the backend '212.1.1.1' to a
    # loadbalancing 'ip-1.1.1.1'
    - ovh_ip_loadbalancing:
        name: ip-1.1.1.1
        backend: 212.1.1.1
        state: present
        probe: none
        weight: 8
        endpoint: ovh-eu
        application_key: yourkey
        application_secret: yoursecret
        consumer_key: yourconsumerkey

    # Removes a backend '212.1.1.1' from a loadbalancing 'ip-1.1.1.1'
    - ovh_ip_loadbalancing:
        name: ip-1.1.1.1
        backend: 212.1.1.1
        state: absent
        endpoint: ovh-eu
        application_key: yourkey
        application_secret: yoursecret
        consumer_key: yourconsumerkey

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Pascal Heraud (@pascalheraud)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.